﻿@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using System.Web.UI.WebControls;
@using Portal.Controllers;
@using Portal.Models.SupplierFeedbackPart; 
@using Toyota.Common.Web.Credential;

@model Toyota.Common.Web.MVC.ModelHolder
        

<div id="uploadDiv">   
@using (Html.BeginForm("", "KeihenFeedback", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    <table cellpadding="0" cellspacing="0" style="width:100%; height:100%; padding: 10px;">
        
        <tr style="height: 20px;">
            <td style="width: 65px; vertical-align: top; padding-top: 10px">
                @Html.Label("Upload File")
            </td>
            
            <td colspan="2" style="padding-top: 5px">
                @Html.DevExpress().UploadControl(
                    upload =>
                    {
                        upload.Name = "uploadKeihenFeedbackDetail";

                        upload.CallbackRouteValues = new
                        {
                            Controller = "KeihenFeedback",
                            Action = "uploadKeihen_CallbackRouteValues"
                        };

                        upload.Width = Unit.Percentage(100);
                        //upload.ShowProgressPanel = true;
                        //upload.UploadMode = UploadControlUploadMode.Advanced;

                        upload.ValidationSettings.MaxFileSize = 10000000;
                        upload.ValidationSettings.MaxFileSizeErrorText = "The size of file uploaded larger than allowed";
                        upload.ValidationSettings.AllowedFileExtensions = new String[] { ".xls" };
                        upload.ValidationSettings.ShowErrors = true;

                        //upload.ClientSideEvents.UploadingProgressChanged = "OnSFPFFFileUploadUploadingProgressChanged"; 
                        //upload.ClientSideEvents.FileUploadStart = "OnSFPFFFileUploadFileUploadStart"; 
                        upload.ClientSideEvents.FileUploadComplete = "uploadKeihenFeedbackDetailFileUploadCompleted";
                        //upload.ClientSideEvents.FilesUploadComplete = "OnSFPFFFilesUploadFileUploadComplete"; 

                        upload.CancelButton.Text = "";
                        upload.CancelButtonSpacing = Unit.Pixel(0);
                        @*if (DataBinder.Eval(Model.GetModel<SupplierFeedbackPartParameter>(), "PARENT") == "0")
                            upload.Enabled = false;
                        else
                            upload.Enabled = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_CONFIRMED")) == true ? false : true;

                        *@
                    }).GetHtml()
            </td>
             
        </tr>
     
        <tr style="height:5px"></tr> @* row spacing *@
        <tr style="height: 20px;">
            <td>
            </td>
            <td id="linkDownloadTemplate">
                @Html.DevExpress().Label(
                setting =>
                {
                    setting.Name = "labelDownload";
                    setting.Text = "Download Template";
                }
            ).GetHtml()
                @Html.DevExpress().HyperLink(
                    setting =>
                    {
                        setting.Name = "DownloadTemplateLink";
                        setting.Properties.Text = "Here";
                        setting.Properties.Style.Font.Underline = true;
                        setting.Properties.ClientSideEvents.Click = "onDownloadTemplateClick";
                        setting.ControlStyle.Cursor = "pointer";
                        setting.ControlStyle.VerticalAlign = VerticalAlign.Top;

                    }
                ).GetHtml()
            </td>
            <td>
            </td>
        </tr>
        <tr></tr> @* row spacing *@
        <tr style="height:50px;">
            <td colspan="3" align="right" style="vertical-align:bottom">
                @Html.DevExpress().Button(
                    setting =>
                    {
                        setting.Name = "UploadButton";
                        setting.Text = "Upload";
                        setting.Width = Unit.Pixel(60);
                        setting.ClientSideEvents.Click = "UploadButtonOnClick";

                        var check = "";

                        
                    }
                    
                ).GetHtml()
            </td>
        </tr>
    </table>
}

  </div>